Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1977623

Summary: python-patsy fails to build with Sphinx 4.0.2
Product: [Fedora] Fedora Reporter: Karolina Surma <ksurma>
Component: python-patsyAssignee: Sergio Pascual <sergio.pasra>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: code, neuro-sig, sanjay.ankur, sergio.pasra
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-07-21 14:28:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1973718    

Description Karolina Surma 2021-06-30 08:05:42 UTC
python-patsy fails to build with Sphinx 4.0.2 in Fedora 35 (currently Rawhide).

+ make html SPHINXBUILD=sphinx-build-3.10
sphinx-build-3.10 -b html -d _build/doctrees   . _build/html
Running Sphinx v4.0.2
Configuration error:
There is a syntax error in your configuration file: Missing parentheses in call to 'print'. Did you mean print("python exec:", sys.executable)? (conf.py, line 8)
make: *** [Makefile:33: html] Error 2

For the logs from testing build attempts, see:
https://copr.fedorainfracloud.org/coprs/ksurma/pygments-2.9.0/package/python-patsy/

You can test you package using Koji scratch build
koji build --scratch <srpm>

For details regarding the Sphinx change, see https://fedoraproject.org/wiki/Changes/Sphinx4
Let us know here if you have any questions. Thank you!

Comment 1 Sergio Pascual 2021-07-01 12:33:47 UTC
The conf.py file is in Python 2!!

Comment 2 Ben Beasley 2021-07-20 17:56:20 UTC
No commits upstream in 2½ years—is patsy still maintained?

Comment 3 Ankur Sinha (FranciscoD) 2021-07-20 18:08:31 UTC
Not sure, but lots of users and activity on the repo otherwise: 

https://github.com/pydata/patsy/issues/154

It's required by a few other packages, so we'll have to keep it around:

sudo dnf repoquery --whatrequires python3-patsy
[sudo] password for asinha:
Last metadata expiration check: 4:19:41 ago on Tue 20 Jul 2021 14:44:29 BST.
python3-pybids-0:0.12.4-2.fc34.noarch
python3-pymc3-0:3.9.3-4.fc34.noarch
python3-statsmodels-0:0.12.2-1.fc34.x86_64
(ins)[asinha@ankur  ~]$

Comment 4 Sergio Pascual 2021-07-21 14:28:16 UTC
Fixed in this build:

https://koji.fedoraproject.org/koji/buildinfo?buildID=1778015